<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [ReactElement](./bitburner.reactelement.md)

## ReactElement interface

A stand-in for the real React.ReactElement. Use React.createElement to make these. See [creating an element without jsx](https://react.dev/reference/react/createElement#creating-an-element-without-jsx) from the official React documentation.

**Signature:**

```typescript
interface ReactElement 
```

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[key](./bitburner.reactelement.key.md)


</td><td>


</td><td>

string \| number \| null


</td><td>


</td></tr>
<tr><td>

[props](./bitburner.reactelement.props.md)


</td><td>


</td><td>

any


</td><td>


</td></tr>
<tr><td>

[type](./bitburner.reactelement.type.md)


</td><td>


</td><td>

string \| ((props: any) =&gt; [ReactElement](./bitburner.reactelement.md) \| null) \| (new (props: any) =&gt; object)


</td><td>


</td></tr>
</tbody></table>

